- Main Page
- Classes
- Files

- File List
- File Members

# sql_types.h File Reference

Declares the closest C++ equivalent of each MySQL column type. More...

`#include "common.h"`
`#include "tiny_int.h"`
`#include <string>`

Include dependency graph for sql_types.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp

## Detailed Description

Declares the closest C++ equivalent of each MySQL column type.

The typedefs defined here are only for the "non-NULL" variants. To get nullable versions, wrap the appropriate type in the `Null<T>` template. See null.h for more information.